package ac.essex.ooechs.adaboost;

import java.io.Serializable;

/**
 * A weak learner is one that can make some kind of classification
 * based on a sample of data. Adaboost aims to combine lots of these
 * weak learners into a single strong learner.
 *
 * @author Olly Oechsle, University of Essex, Date: 04-May-2007
 * @version 1.0
 */
public abstract class AdaBoostLearner implements Serializable {

    protected int individualTP;

    public abstract int classify(AdaBoostSample sample, Object data);

}
